<?php
/*
// "akJoomGallery" Plugin for Joomla 1.0.x - Version 1.0
// License: http://www.gnu.org/copyleft/gpl.html
// Authors: Amit kumar Singh
// Copyright (c) 2006 Amiworks.co.in  - http://amiworks.co.in/talk
// Project page at http://amiworks.co.in/talk/akjoomgallery
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// Import library dependencies
jimport('joomla.event.plugin');

class plgContentAkJoomGallery extends JPlugin
{
   /**
    * Constructor
    *
    * For php4 compatability we must not use the __constructor as a constructor for
    * plugins because func_get_args ( void ) returns a copy of all passed arguments
    * NOT references.  This causes problems with cross-referencing necessary for the
    * observer design pattern.
    */
    function plgContentAkJoomGallery ( &$subject, $config )
	{
		parent::__construct( $subject, $config );
	}
    /**
    * Plugin method with the same name as the event will be called automatically.
    */
    function onPrepareContent( &$row, &$params )
    {
        global $mainframe;
        
/* Added  by Douglas <http://ideal.fok.com.br>  
 *  $backlist	= $this->params->get('backlist');
        $Itemid		= JRequest::getInt('Itemid', 0);
        if($Itemid){
        	//echo $Itemid.'<pre>'; print_r($this->params); echo '</pre>'; exit;
        	if(strpos($backlist, $Itemid)){
        		$row->text = preg_replace( "#{akgallery}#s", '' , $row->text );
        		return false;
        	}
        }*/
        
        
			
		if (preg_match_all("#{akgallery}#s", $row->text, $matches, PREG_PATTERN_ORDER) > 0) 
		{
			/**
			 * Added  by Douglas <http://ideal.fok.com.br>
			 * Much simpler and more efective than what I tried to achieve above
			 * @created_date 26-Jun-2009
			 */
			$document =& JFactory::getDocument();
 		
			$document->addStyleSheet( JURI::base() . 'plugins/content/akJoomGallery/css/prettyPhoto.css' );
	
			//	Add Javascript
			$document->addScript( JURI::base() .'plugins/content/akJoomGallery/js/jquery-1.2.6.pack.js');
			$document->addScript( JURI::base() .'plugins/content/akJoomGallery/js/prettyPhoto.js');	
			
		   	 $html = "
				<!-- akJoomGallery Plugin (v1.1) starts here -->
				<script>
					jQuery.noConflict();
					jQuery(document).ready(function(){
						setupImages();
						prettyPhoto.init();
					});
					function setupImages()
					{
						jQuery(\"a[href$='jpg']\").attr('rel','prettyOverlay[gallery]');
						jQuery(\"a[href$='gif']\").attr('rel','prettyOverlay[gallery]');
						jQuery(\"a[href$='png']\").attr('rel','prettyOverlay[gallery]');
					}
				</script>";
			$html .="\n<!-- akJoomGallery Plugin (v1.1) ends here -->";
		
			$row->text = preg_replace( "#{akgallery}#s", $html , $row->text );
			return true;
		}
 		
	
	}
}